Dms Annotations
Alle Operationen rund um Dms Annotations.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| DMS Annotation | dms_annotation |
10 | — | dms_annotation_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/dms_annotations |
Create dms_annotation | Create a new dms_annotation in the active tenant. |
DELETE |
/v1/dms_annotations/{id} |
Delete dms_annotation | Soft delete entity. |
GET |
/v1/dms_annotations/{id} |
Get dms_annotation by id | Fetch a single dms_annotation. |
GET |
/v1/dms_annotations/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/dms_annotations/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/dms_annotations/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/dms_annotations |
List dms_annotations | List dms_annotations for the active tenant. |
PATCH |
/v1/dms_annotations/{id} |
Patch dms_annotation | JSON Merge Patch update. |
POST |
/v1/dms_annotations/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/dms_annotations/{id}/transition |
POST /v1/dms_annotations/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/dms_annotations/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/dms_annotations/{id} |
Replace dms_annotation | Full replace with optimistic locking. |